CKMerAcc Struct Reference

Utility class to accumulate cahnges to cluster before commiting it (mutex syncronous operation). More...

## Public Member Functions

| CKMerAcc (size_t sz)
void | add (size_t cluster_id, bm::bvector<>::size_type m_id, bm::bvector<> &bv_kmer)

## Data Fields

bvector_ptr_vector_type | bv_members
bvector_ptr_vector_type | bv_kmers

## Detailed Description

Utility class to accumulate cahnges to cluster before commiting it (mutex syncronous operation).

Examples
  xsample07a.cpp.

Definition at line 1214 of file xsample07a.cpp.

## Constructor & Destructor Documentation

## CKMerAcc()

CKMerAcc::CKMerAcc | ( | size_t | sz | ) |

inline

Examples
  xsample07a.cpp.

Definition at line 1216 of file xsample07a.cpp.

References bv_kmers, and bv_members.

## Member Function Documentation

## add()

void CKMerAcc::add | ( | size_t | cluster_id,
|  | bm::bvector<>::size_type | m_id,
|  | bm::bvector<> & | bv_kmer )

inline

Examples
  xsample07a.cpp.

Definition at line 1220 of file xsample07a.cpp.

References bm::BM_GAP, bv_kmers, bv_members, bm::bvector< Alloc >::merge(), and bm::bvector< Alloc >::set().

Referenced by assign_to_best_cluster().

## Field Documentation

## bv_kmers

bvector_ptr_vector_type CKMerAcc::bv_kmers

Examples
  xsample07a.cpp.

Definition at line 1238 of file xsample07a.cpp.

Referenced by add(), assign_to_best_cluster(), and CKMerAcc().

## bv_members

bvector_ptr_vector_type CKMerAcc::bv_members

Examples
  xsample07a.cpp.

Definition at line 1237 of file xsample07a.cpp.

Referenced by add(), assign_to_best_cluster(), and CKMerAcc().

The documentation for this struct was generated from the following file:

- xsample07a.cpp